// Input_HSL.h: interface for the CInput_HSL class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_INPUT_HSL_H__AE36DAF2_412E_40C1_BFEF_A0BA5B6A9390__INCLUDED_)
#define AFX_INPUT_HSL_H__AE36DAF2_412E_40C1_BFEF_A0BA5B6A9390__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "InputBase.h"

class CAdlinkCommon_HSL;

class CInput_HSL : public CInputBase
{
public:
    CInput_HSL(const CInputSetting &Setting);
    virtual ~CInput_HSL();

// method to query Analog input voltage
    BOOL GetVoltage(double &dVoltage, int nRange) override;

// method to set the last Analog Input Channel for HSL ONLY
    BOOL SetLastAICh(int nLastChannel) override;

// method to set the Configuration of Analog Input for HSL ONLY
    BOOL SetAIConfig(int nSignalRange) override;

    int GetState() override;

private:
    std::unique_ptr<CAdlinkCommon_HSL> m_pCommon;
};

#endif // !defined(AFX_INPUT_HSL_H__AE36DAF2_412E_40C1_BFEF_A0BA5B6A9390__INCLUDED_)
